Exclude web/*/*.js resources from jslint check
authorIván Perdomo <ivan.perdomo@openbravo.com>
Fri, 29 Jul 2011 10:56:10 +0200
changeset 13344 c77612cebdbe
parent 13343 e7834578f484
child 13345 c4af7f9e6aaa
Exclude web/*/*.js resources from jslint check
modules/org.openbravo.client.kernel/jslint/jscheck-hg
--- a/modules/org.openbravo.client.kernel/jslint/jscheck-hg	Fri Jul 29 10:33:47 2011 +0200
+++ b/modules/org.openbravo.client.kernel/jslint/jscheck-hg	Fri Jul 29 10:56:10 2011 +0200
@@ -1,3 +1,3 @@
 #!/bin/sh
 echo "Performing jslint check on modified js resources"
-hg st -man  | awk '/.js$/' | xargs -rn1 ./modules/org.openbravo.client.kernel/jslint/jslint || exit 1
+hg st -man  | awk '/.js$/ && ! /^web/' | xargs -rn1 ./modules/org.openbravo.client.kernel/jslint/jslint || exit 1